Subject: Re: [PATCH] t/lib-httpd: pass LANG to Apache

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Oct 2022 09:20:51 -0700

Jeff King <[email-masked]> writes:

>> Shouldn't we be doing the same here?
>
> I think setting both probably is overkill. But if we are going to set
> one, the important one is LC_ALL. It overrides specific LC_* variables,
> which in turn override LANG. So just setting LANG would get confused if
> LC_MESSAGES were set, for example.
>
> That said, there probably is no downside to passing through both, so we
> might as well do so.

Yup.  I suspect that the habit dates back to before LC_* was widespread
and some platforms needed LANG.  On modern systems that understand i18n
and do not need to set NO_GETTEXT, forcing LC_ALL should be sufficient.

> Other than that, the patch is obviously the right thing to be doing. I'm
> surprised it took this long for it to be a problem. ;)

Thanks.